# parser.h File Reference

## Detailed Description

Parse the XML protocol.

Creates a parser structure and calls the registered begin and end callbacks. Note: The parser implementation is dublicated from Parser.java. If you change this code, you must change Parser.java, too!

`#include "protocol.h"`

Go to the source code of this file.

## Defines

#define | PARSER_GET_STRING(pst, pos) ((*pst[pos].string)+pst[pos].off)

## Typedefs

typedef parser_cb | parser_cb_t

## Functions

short | parse (proxyenv *env, parser_cb_t *cb)
short | parse_header (proxyenv *env, parser_cb_t *cb)